## trunk?format=zip&rev=2513

=== SConstruct ===
import os
import sys
import distutils.sysconfig
import platform
import SCons

# try to autodetect numpy
def get_numpy_incdir():
    try:
        # try to find an egg
        from pkg_resources import require
        tmp = require("numpy")
        import numpy
        return numpy.__path__[0]+"/core/include"
    except Exception:
        # now try standard package
        try:
            import numpy
            return numpy.__path__[0]+"/core/include"
        except ImportError:
            pass
    return ""

EnsureSConsVersion(1,0,0)

opts = Variables("options.cache")
opts.AddVariables(
		("extraroot", "Addition tree to look for packages", None),
                ("FORTRAN", "The fortran compiler", None),
                ("f2clib", "The fortran to c library", None),
		PathVariable("casacoreroot", "The location of casacore",
                             "/usr/local"),
		BoolVariable("casacorestatic", 
                             "Link statically against casacore",
                             False),
		("boostroot", "The root dir where boost is installed", None),
		("boostlib", "The name of the boost python library", 
		 "boost_python"),
		("boostlibdir", "The boost library location", None),
		("boostincdir", "The boost header file location", None),
		("lapackroot", 
		 "The root directory where lapack is installed", None),
		("lapacklibdir", "The lapack library location", None),
		("lapacklib",
		 "The lapack library name (e.g. for specialized AMD libraries",
		 "lapack"),
		("blasroot", 
		 "The root directory where blas is installed", None),
		("blaslibdir", "The blas library location", None),
		("blaslib",
		 "The blas library name (e.g. for specialized AMD libraries",
		 "blas"),
		("cfitsioroot", 
		 "The root directory where cfistio is installed", None),
		("cfitsiolibdir", "The cfitsio library location", None),
		("cfitsiolib", "The cfitsio library name", "cfitsio"),
		("cfitsioincdir", "The cfitsio include location", None),
		("wcslib", "The wcs library name", "wcs"),
		("wcsroot", 
		 "The root directory where wcs is installed", None),
		("wcslibdir", "The wcs library location", None),
		("rpfitslib", "The rpfits library name", "rpfits"),
		("rpfitsroot", 
		 "The root directory where rpfits is installed", None),
		("rpfitslibdir", "The rpfits library location", None),

                ("pyraproot", "The root directory where libpyrap is installed",
                 None),
                ("numpyincdir", "numpy header file directory",
                 get_numpy_incdir()),
                BoolVariable("enable_pyrap", 
                             "Use pyrap conversion library from system", 
                             False),
                ("pyraplib", "The name of the pyrap library", "pyrap"),
                ("pyraplibdir", "The directory where libpyrap is installed",
                 None),
                ("pyrapincdir", "The pyrap include location",
                 None),
                EnumVariable("mode", "The type of build.", "release",
                           ["release","debug"], ignorecase=1),
                EnumVariable("makedoc", 
                             "Build the userguide in specified format",
                             "none",
                             ["none", "pdf", "html"], ignorecase=1),
                BoolVariable("apps", "Build cpp apps", True),
                BoolVariable("alma", "Enable alma specific functionality", 
                             False),
                )

env = Environment( toolpath = ['./scons'],
                   tools = ["default", "utils", "casa"],
                   ENV = { 'PATH' : os.environ[ 'PATH' ],
                          'HOME' : os.environ[ 'HOME' ] },
                   options = opts)

env.Help(opts.GenerateHelpText(env))
env.SConsignFile()
if not ( env.GetOption('clean') or env.GetOption('help') ):

    conf = Configure(env)
    if conf.env.get("extraroot", None):
        conf.env.AddCustomPackage('extra')
    conf.env.Append(CPPPATH=[distutils.sysconfig.get_python_inc()])
    if not conf.CheckHeader("Python.h", language='c'):
        Exit(1)
    pylib = 'python'+distutils.sysconfig.get_python_version()
    if env['PLATFORM'] == "darwin":
        conf.env.Append(FRAMEWORKS=["Python"])
    else:
        if not conf.CheckLib(library=pylib, language='c'): Exit(1)

    conf.env.AddCustomPackage('boost')
    libname = conf.env["boostlib"]
    if libname.find(".") > -1 and os.path.exists(libname):
        conf.env.AppendUnique(LIBS=[env.File(libname)])
    else:
        if not conf.CheckLibWithHeader(libname,
                                       'boost/python.hpp', language='c++'): 
            Exit(1)

    if env["enable_pyrap"]:
        conf.env.AddCustomPackage('pyrap')
        if conf.CheckLib(conf.env["pyraplib"], language='c++', autoadd=0):
            conf.env.PrependUnique(LIBS=env['pyraplib'])
        else:
            Exit(1)
    else:
        conf.env.AppendUnique(CPPPATH=[conf.env["numpyincdir"]])
        # numpy 1.0 uses config.h; numpy >= 1.1 uses numpyconfig.h
        if conf.CheckHeader("numpy/numpyconfig.h"):
            conf.env.Append(CPPDEFINES=["-DAIPS_USENUMPY"])
        else:
            conf.env.Exit(1)
        # compile in pyrap from here...
        conf.env["pyrapint"] = "#/external/libpyrap/pyrap-0.3.2"
    conf.env.Append(CPPFLAGS=['-DHAVE_LIBPYRAP'])

    # test for cfitsio
    if not conf.CheckLib("m"): Exit(1)
    conf.env.AddCustomPackage('cfitsio')
    libname = conf.env["cfitsiolib"]
    if libname.find(".") > -1 and os.path.exists(libname):
        conf.env.AppendUnique(LIBS=[env.File(libname)])
    else:
        if not conf.CheckLibWithHeader(libname,
                                       'fitsio.h', language='c'):
            Exit(1)
    conf.env.AddCustomPackage('wcs')
    libname = conf.env["wcslib"]
    if libname.find(".") > -1 and os.path.exists(libname):
        conf.env.AppendUnique(LIBS=[env.File(libname)])
    else:
        if not conf.CheckLibWithHeader(libname, 
                                       'wcslib/wcs.h', language='c'):
            Exit(1)

    conf.env.AddCustomPackage('rpfits')
    if not conf.CheckLib(conf.env["rpfitslib"], language="c"):
	Exit(1)
    
    libpath = ""
    for p in [conf.env["casacoreroot"], conf.env.get("extraroot", "")]:
        pth = os.path.join(p, "include", "casacore")        
	if os.path.exists(pth):
            libpth = os.path.join(p, "lib")
            conf.env.AppendUnique(CPPPATH=[pth])
	    break
    cclibs = ["casa_images", "casa_ms", "casa_components", 
              "casa_coordinates", "casa_lattices", 
              "casa_fits", "casa_measures", "casa_scimath",
              "casa_scimath_f", "casa_tables", 
              "casa_mirlib", "casa_casa"]
    if conf.env["casacorestatic"]:
        libs = [ env.File(os.path.join(libpth, "lib"+lib+".a")) \
                 for lib in cclibs ]
    else:
        conf.env.AppendUnique(LIBPATH=libpth)
        if not conf.CheckLibWithHeader("casa_casa", "casa/aips.h",
                                       language='c++', autoadd=0): 
            Exit(1)
        libs = cclibs
    conf.env.PrependUnique(LIBS=libs)

    # test for blas/lapack
    conf.env.AddCustomPackage("lapack")
    libname = conf.env.get("lapacklib", "lapack")
    if libname.find(".") > -1 and os.path.exists(libname):
        conf.env.AppendUnique(LIBS=[env.File(libname)])
    else:
        if not conf.CheckLib(libname): Exit(1)
    libname = conf.env.get("blaslib", "blas")
    if libname.find(".") > -1 and os.path.exists(libname):
        conf.env.AppendUnique(LIBS=[env.File(libname)])
    else:
        if not conf.CheckLib(libname): Exit(1)

    libname = conf.env.get("f2clib", "gfortran")
    if libname.find(".") > -1 and os.path.exists(libname):
        conf.env.AppendUnique(LIBS=[env.File(libname)])
    else:
        conf.env.CheckFortran(conf)
    if not conf.CheckLib('stdc++', language='c++'): Exit(1)
    if conf.env["alma"]:
        conf.env.Append(CPPFLAGS=['-DUSE_CASAPY'])
    env = conf.Finish()

opts.Save('options.cache', env)

env["version"] = "4.1.x"

if env['mode'] == 'release':
    if env["PLATFORM"] != "darwin":
	env.Append(LINKFLAGS=['-Wl,-O1', '-s'])
    env.Append(CCFLAGS=["-O2"])
else:
    env.Append(CCFLAGS=["-g", "-W", "-Wall"])

# Export for SConscript files
Export("env")

# build externals
ext = env.SConscript("external-alma/SConscript")

# build library
so = env.SConscript("src/SConscript", variant_dir="build", duplicate=0)

apps = env.SConscript("apps/SConscript")

# test module import, to see if there are unresolved symbols
def test_module(target,source,env):
    pth = str(target[0])
    mod = os.path.splitext(pth)[0]
    sys.path.insert(2, os.path.split(mod)[0])
    __import__(os.path.split(mod)[1])
    print "ok"
    return 0

def test_str(target, source, env):
    return "Testing module..."

taction = Action(test_module, test_str)
env.AddPostAction(so, taction)

if env.GetOption("clean"):
    Execute(Delete(".sconf_temp"))
    Execute(Delete("options.cache"))

if env["makedoc"].lower() != "none":
    env.SConscript("doc/SConscript")

=== packages/invirt-remote/debian/changelog ===
invirt-remote (0.4.3) unstable; urgency=low

  * Minor cleanup of 0.4.2

 -- Alex Dehnert <adehnert@mit.edu>  Sat, 24 Oct 2009 17:12:33 -0400

invirt-remote (0.4.2) unstable; urgency=low

  * Add "monocast" method to send remctl requests to exactly one 
    randomly-selected host.
  * Send LVM requests to randomly-selected host for redundancy and
    load-balancing (LP: #307361).

 -- Alex Dehnert <adehnert@mit.edu>  Wed, 07 Oct 2009 03:19:30 -0400

invirt-remote (0.4.1) unstable; urgency=low

  [Paul Weaver]
  * Give a reasonable error message on remctl 'control nonexistent-vm'.

 -- Greg Price <price@mit.edu>  Sun, 20 Sep 2009 16:15:25 -0400

invirt-remote (0.4.0) unstable; urgency=low

  * Instead of running all of the disk-wiping dds simultaneously, run them
    sequentially using a janitor daemon (LP: #411486).

 -- Evan Broder <broder@mit.edu>  Tue, 11 Aug 2009 19:37:55 -0700

invirt-remote (0.3.15) unstable; urgency=low

  * If a particular VM is being autoinstalled, include that in the
    invirt-listvms output.

 -- Evan Broder <broder@mit.edu>  Wed, 10 Jun 2009 14:46:39 -0700

invirt-remote (0.3.14) unstable; urgency=low

  * Maybe we won't be /quite/ so ionice to the dd over a deleted LV.

 -- Evan Broder <broder@mit.edu>  Sun, 03 May 2009 03:46:13 -0400

invirt-remote (0.3.13) unstable; urgency=low

  * I totally failed to patch the right server.

 -- Evan Broder <broder@mit.edu>  Fri, 03 Apr 2009 20:02:34 -0400

invirt-remote (0.3.12) unstable; urgency=low

  * ionice the dd to wipe out deleted LVs so it doesn't hose the system.
  * availability takes way too long to type.

 -- Evan Broder <broder@mit.edu>  Thu, 02 Apr 2009 20:35:17 -0400

invirt-remote (0.3.11) unstable; urgency=low

  * Print errors to stderr on nocreate and nolvm so that the website
    actually notices.

 -- Evan Broder <broder@mit.edu>  Wed, 18 Mar 2009 19:37:38 -0400

invirt-remote (0.3.10) unstable; urgency=low

  * Let invirt-remote-proxy know all the possible subcommands.
  * Accept /etc/invirt/{nocreate,nolvm} on remote-server.

 -- Greg Price <price@mit.edu>  Mon, 16 Mar 2009 21:22:13 -0400

invirt-remote (0.3.9) unstable; urgency=low

  * Include a CDROM in listvms, if there is one.

 -- Evan Broder <broder@mit.edu>  Thu, 12 Mar 2009 17:20:15 -0400

invirt-remote (0.3.8) unstable; urgency=low

  * Allow anyone on the adminacl to issue web remctls.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 21:28:19 -0500

invirt-remote (0.3.7) unstable; urgency=low

  * Add an availability remctl for when we get around to letting us make
    web remctls.

 -- Evan Broder <broder@mit.edu>  Thu, 26 Feb 2009 01:04:07 -0500

invirt-remote (0.3.6) unstable; urgency=low

  * Don't confuse KB with KiB, or MB with MiB.

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Feb 2009 04:58:06 -0500

invirt-remote (0.3.5) unstable; urgency=low

  * updated quota support to refer to renamed owner table columns

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 02:13:44 -0500

invirt-remote (0.3.4) unstable; urgency=low

  * modified host/usr/sbin/invirt-availability and invirt-vmcontrol to stat
    /etc/invirt/nocreate; if it exists, they advertise zero free memory and
    refuse to create VMs
  * added memory quota validation to invirt-remote-create

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 01:31:20 -0500

invirt-remote (0.3.3) unstable; urgency=low

  * added remctl web availability to calculate memory available to new VMs
  * removed remctl web info

 -- Peter A. Iannucci <iannucci@mit.edu>  Thu, 12 Feb 2009 23:26:24 -0500

invirt-remote (0.3.2) unstable; urgency=low

  * in invirt-remote-listvms, ignore another way VMs can disappear

 -- Greg Price <price@mit.edu>  Thu, 05 Feb 2009 13:43:46 -0500

invirt-remote (0.3.1) unstable; urgency=low

  * invirt.remote.bcast: provide stderr text when remctl fails
  * create /etc/remctl/remconffs in -server, not -host

 -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 14:33:08 -0500

invirt-remote (0.3.0) unstable; urgency=low

  * Instead of immediately deleting LVs, overwrite them with zeros to
    avoid leaking information from one VM to another.

 -- Evan Broder <broder@mit.edu>  Wed, 21 Jan 2009 02:57:30 -0500

invirt-remote (0.2.2) unstable; urgency=low

  * config.{authn[0] => kerberos}.realm

 -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 23:18:45 -0500

invirt-remote (0.2.1) unstable; urgency=low

  * Be sure to create /etc/remctl/remconffs

 -- Evan Broder <broder@mit.edu>  Mon, 08 Dec 2008 09:25:43 -0500

invirt-remote (0.2.0) unstable; urgency=low

  * Merge invirt-remote-server and invirt-remote-host into invirt-remote
    (LP: #305682)

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 18:33:59 -0500

invirt-remote-server (0.1.6) unstable; urgency=low

  * Fix a gen_config -> gen_files

 -- Greg Price <price@mit.edu>  Sat, 22 Nov 2008 19:27:36 -0500

invirt-remote-server (0.1.5) unstable; urgency=low

  * Fix a typo in calling /lib/init/gen-files.sh

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:43:06 -0500

invirt-remote-server (0.1.4) unstable; urgency=low

  * Steal some init script ideas from debathena-pyhesiodfs

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:31:49 -0500

invirt-remote-server (0.1.3) unstable; urgency=low

  * Switched to using "raw" select expressions instead of using the ORM;
    allows the same speed as the old object-based system but without any
    caching necessary.

 -- Quentin Smith <quentin@mit.edu>  Fri, 21 Nov 2008 04:15:50 -0500

invirt-remote-server (0.1.2) unstable; urgency=low

  * Update remctl help with new reboot functionality

 -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 10:57:39 -0500

invirt-remote-server (0.1.1) unstable; urgency=low

  * Now that we're doing real caching, cache for less time

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:18:23 -0500

invirt-remote-server (0.1.0) unstable; urgency=low

  * Add real caching to remconffs



=== packages/invirt-vnc-client/debian/changelog ===
invirt-vnc-client (0.0.11) unstable; urgency=low

  * Make invirt-update-vnc-cert more robust to failure

 -- Quentin Smith <quentin@mit.edu>  Wed, 18 Mar 2009 18:52:16 -0400

invirt-vnc-client (0.0.10) unstable; urgency=low

  * Add missing dependency on java6-sdk.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 05:17:10 -0500

invirt-vnc-client (0.0.9) unstable; urgency=low

  * Edit copyright file, clarify what's our text and what's upstream's
  * Incorporate my fixes to tightvnc-java's own copyright, in
    http://bugs.debian.org/507959
  * Accurately describe "our" patches -- much of the code isn't ours!

 -- Greg Price <price@mit.edu>  Sat, 06 Dec 2008 04:03:58 -0500

invirt-vnc-client (0.0.8) unstable; urgency=low

  * Update the copyright file to correctly reflect the source of the
    TightVNC code

 -- Evan Broder <broder@mit.edu>  Sun, 23 Nov 2008 07:22:00 -0500

invirt-vnc-client (0.0.7) unstable; urgency=low

  * Don't alter the original VNC JAR - make a copy instead
  * Punt the postinst - it's not necessary, because the init script will
    get run

 -- Evan Broder <broder@mit.edu>  Sun, 09 Nov 2008 01:10:07 -0500

invirt-vnc-client (0.0.6) unstable; urgency=low

  * Isolate our patches from the upstream source
  * Fix the dependencies for invirt-update-vnc-cert
  * Add an init script to refresh the VNC trust store

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 06:19:59 -0400

invirt-vnc-client (0.0.5) unstable; urgency=low

  * Small typo fixes in invirt-update-vnc-cert

 -- Evan Broder <broder@mit.edu>  Wed, 29 Oct 2008 00:07:55 -0400

invirt-vnc-client (0.0.4) unstable; urgency=low

  * Get certificates from remctl, instead of from the filesystems

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:55:43 -0400

invirt-vnc-client (0.0.3) unstable; urgency=low

  * Fix some shell script errors thanks to the globs

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:44:45 -0400

invirt-vnc-client (0.0.2) unstable; urgency=low

  * DEBHELPER FAIL - I wanted invirt-update-vnc-cert.sh installed as
    /usr/sbin/invirt-update-vnc-cert, not /in/
    /usr/sbin/invirt-update-vnc-cert/

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:32:08 -0400

invirt-vnc-client (0.0.1) unstable; urgency=low

  * sipb-xen-vnc-client -> invirt-vnc-client
  * SIPBTrustManager -> InvirtTrustManager
  * Add a script to regenerate the client's certificate store

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:14:15 -0400

sipb-xen-vnc-client (1.03) unstable; urgency=low

  * Get rid of svn checkout in package

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 15:35:44 -0400

sipb-xen-vnc-client (1.02) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:49:08 -0400

sipb-xen-vnc-client (1.01) hardy; urgency=low

  * depend on java-compiler (a virtual package) rather than sun-java5-jdk

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:21:50 +0000

sipb-xen-vnc-client (1) unstable; urgency=low

  * Initial Release.
 -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 23:02:26 -0500

=== packages/xvm-devconfig/debian/changelog ===
xvm-devconfig (0.41) unstable; urgency=low

  * Add jiawen to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Mon, 19 Oct 2009 20:13:12 -0400

xvm-devconfig (0.40) unstable; urgency=low

  * Add oremanj to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Mon, 21 Sep 2009 19:49:41 -0400

xvm-devconfig (0.39) unstable; urgency=low

  * Add ppasupat, burrows, jontec, gyz to xvm-dev as reflected in k5login,
    for hackathon.

 -- Greg Price <price@mit.edu>  Sun, 20 Sep 2009 14:57:24 -0400

xvm-devconfig (0.38) unstable; urgency=low

  * Add pweaver to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Sun, 20 Sep 2009 00:02:39 -0400

xvm-devconfig (0.37) unstable; urgency=low

  * Forward automail to xvm-dev-auto rather than xvm@.

 -- Greg Price <price@mit.edu>  Thu, 10 Sep 2009 22:23:27 -0400

xvm-devconfig (0.36) unstable; urgency=low

  * Send root's mail to xvm-dev@mit.edu, instead of xvm@mit.edu, since
    xvm-dev is the list with bits on the dev cluster.

 -- Evan Broder <broder@mit.edu>  Tue, 08 Sep 2009 11:48:15 -0400

xvm-devconfig (0.35) unstable; urgency=low

  * Add adehnert to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Mon, 07 Sep 2009 23:02:58 -0400

xvm-devconfig (0.34) unstable; urgency=low

  * Sync the k5login with xvm-dev (add mitchb).

 -- Evan Broder <broder@mit.edu>  Fri, 28 Aug 2009 21:57:05 -0400

xvm-devconfig (0.33) unstable; urgency=low

  * Add a mail.contact entry for who to forward mail to.

 -- Evan Broder <broder@mit.edu>  Sat, 28 Mar 2009 19:51:11 -0400

xvm-devconfig (0.32) unstable; urgency=low

  * No really. I don't want mail from dev. Ever.

 -- Evan Broder <broder@mit.edu>  Tue, 10 Mar 2009 03:52:53 -0400

xvm-devconfig (0.31) unstable; urgency=low

  * Use the slightly more restrictive xvm-dev for the adminacl instead of
    xvm.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 21:14:07 -0500

xvm-devconfig (0.30) unstable; urgency=low

  * Make adminacl a global setting.
  * Use a common value for the various contact fields.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 15:45:34 -0500

xvm-devconfig (0.29) unstable; urgency=low

  * Act authoritative for {1,2}.181.18.in-addr.arpa

 -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 02:20:58 -0500

xvm-devconfig (0.28) unstable; urgency=low

  * Add quentin to errormail_exclude

 -- Quentin Smith <quentin@mit.edu>  Mon, 16 Feb 2009 16:30:32 -0500

xvm-devconfig (0.27) unstable; urgency=low

  * Specify whether to authenticate PRDB lookups for each AFS cell.

 -- Evan Broder <broder@mit.edu>  Sat, 14 Feb 2009 22:08:46 -0500

xvm-devconfig (0.26) unstable; urgency=low

  * Add iannucci to the dev acl.

 -- Evan Broder <broder@mit.edu>  Thu, 12 Feb 2009 21:43:11 -0500

xvm-devconfig (0.25) unstable; urgency=low

  * Add the sysvm configs.

 -- Greg Price <price@mit.edu>  Tue, 03 Feb 2009 00:24:20 -0500

xvm-devconfig (0.24) unstable; urgency=low

  * Add the dhcp block.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 23:37:27 -0500

xvm-devconfig (0.23) unstable; urgency=low

  * Typo fix. /Actually/ install the k5login.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 22:43:40 -0500

xvm-devconfig (0.22) unstable; urgency=low

  * Two hosts! Add torchwood-institute to the list of hosts.
  * Add ezyang to the dev acl.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 22:17:13 -0500

xvm-devconfig (0.21) unstable; urgency=low

  * Include a trac stanza to make invirt-web happy.
  * xen.network.iface = eth0
  * Add a vnc stanza.
  * Add nathan_ to dev acl.

 -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 15:31:03 -0500

xvm-devconfig (0.20) unstable; urgency=low

  * Install the dev cluster .k5login.
  * Fix the maintainer field.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 03:14:06 -0500

xvm-devconfig (0.19) unstable; urgency=low

  * Punt unnecessarily deep files/ directory structure.

 -- Evan Broder <broder@mit.edu>  Fri, 30 Jan 2009 20:01:03 -0500

xvm-devconfig (0.18) unstable; urgency=low

  * First draft of config for new dev cluster.

 -- Greg Price <price@mit.edu>  Fri, 30 Jan 2009 07:03:47 -0500

xvm-devconfig (0.17) unstable; urgency=low

  * Activate the invirt-reload trigger instead of running invirt-reload
    directly.

 -- Evan Broder <broder@mit.edu>  Mon, 26 Jan 2009 08:10:45 -0500

xvm-devconfig (0.16) unstable; urgency=low

  * Prod launched! Move the development cluster to the dev names

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 09:43:03 -0500

xvm-devconfig (0.15) unstable; urgency=low

  * Use xvm.mit.edu instead of sipb-xen-dev.mit.edu as the database
    hostname

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 05:57:46 -0400

xvm-devconfig (0.14) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:42 -0400

xvm-devconfig (0.13) unstable; urgency=low

  * sipb-xen-console -> xvm-console
  * remote -> xvm-remote (at least canonically)

 -- Evan Broder <broder@mit.edu>  Mon, 27 Oct 2008 14:25:13 -0400

xvm-devconfig (0.12) unstable; urgency=low

  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:47:40 -0400

xvm-devconfig (0.11) unstable; urgency=low

  * Change sx-blade-2 to torchwood-institute

 -- Evan Broder <broder@mit.edu>  Tue, 30 Sep 2008 20:52:49 -0400

xvm-devconfig (0.10) unstable; urgency=low

  * Added dev.xvm.mit.edu domain for sipb-xen-dns.

 -- Yang Zhang <y_z@mit.edu>  Mon, 25 Aug 2008 01:04:29 -0400

xvm-devconfig (0.9) unstable; urgency=low

  * added configs for sipb-xen-www

 -- Yang Zhang <y_z@mit.edu>  Fri,  8 Aug 2008 02:40:16 -0400

xvm-devconfig (0.8) unstable; urgency=low

  * add more config for web interface

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 23:25:24 -0400

xvm-devconfig (0.7) unstable; urgency=low

  * added dns.contact for sipb-xen-dns

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:19:29 -0400



=== packages/invirt-xen-config/debian/control ===
Source: invirt-xen-config
Section: base
Priority: extra
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), config-package-dev, xen-utils-3.2 | xen-utils-3.3
Standards-Version: 3.8.0

Package: invirt-xen-config
Architecture: all
Depends: ${misc:Depends}, dsniff, lvm2, grub, ubuntu-xen-server,
 invirt-base, python-sqlalchemy, python-psycopg2,
 invirt-database
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Description: Xen configuration for Invirt host
 This package configures Xen for an Invirt host.

=== packages/invirt-dev/debian/rules ===
#!/usr/bin/make -f



include /usr/share/cdbs/1/rules/debhelper.mk
